> ## Documentation Index
> Fetch the complete documentation index at: https://agnt.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Given Recommendations

> To scrape all recommendations from a profile, increase the start value to +100 for each request until you reach the total recommendations count. You can find the total recommendations count in the response



## OpenAPI

````yaml /openapi/linkedin.openapi.json get /v1/data/linkedin/get-given-recommendations
openapi: 3.0.0
info:
  title: agntdata LinkedIn API
  description: Enrich profile and company data in real-time
  version: 1.0.0
  contact:
    name: agntdata
    url: https://agntdata.dev
servers:
  - url: https://api.agntdata.dev
    description: agntdata API
security:
  - ApiKeyAuth: []
tags:
  - name: Post
    description: ''
  - name: Article API
    description: ''
  - name: Location
    description: ''
  - name: System
    description: ''
  - name: Company
    description: ''
  - name: Profile APIs
    description: ''
  - name: Job APIs
    description: ''
paths:
  /v1/data/linkedin/get-given-recommendations:
    get:
      tags:
        - Profile APIs
      summary: Get Given Recommendations
      description: >-
        To scrape all recommendations from a profile, increase the start value
        to +100 for each request until you reach the total recommendations
        count. You can find the total recommendations count in the response
      operationId: Get_Given_Recommendations
      parameters:
        - name: start
          in: query
          required: false
          schema:
            type: string
            default: '0'
        - name: username
          in: query
          required: true
          schema:
            type: string
            default: ryanroslansky
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/Get_linkedin_get_given_recommendations_Response
              example:
                success: true
                message: ''
                data:
                  - text: >-
                      I have had the privilege of witnessing Peggy's remarkable
                      contributions to sustainability and environmental
                      stewardship at LinkedIn. As the architect of our company's
                      sustainability program, Peggy has been an unstoppable
                      force. Her vision to create a program from scratch has not
                      only set a new standard for corporate responsibility but
                      has also cemented LinkedIn's commitment to being carbon
                      negative, water positive, and zero waste.


                      Peggy's ability to drive cross-enterprise collaboration
                      turned ambitious pledges into tangible progress. Her
                      leadership has inspired thousands of LinkedIn employees
                      globally, mobilizing them towards a unified goal of
                      sustainability. Her strategic foresight was instrumental
                      in empowering our customers and members; under her
                      guidance, our Product and Engineering teams have developed
                      innovative solutions that connect green job seekers with
                      green employers.


                      As a leader, Peggy is the epitome of persistence, blending
                      optimism with pragmatism to overcome any challenge. Her
                      win-win approach to collaboration has yielded numerous
                      successful partnerships, further amplifying our
                      sustainability efforts. Peggy's positive energy is
                      contagious, and her skills as a communicator are
                      unparalleled, both of which have been key in educating and
                      mobilizing our workforce for action.


                      It's rare to find someone with such a profound impact on
                      people, programs, and the planet. I wholeheartedly endorse
                      Peggy for any future endeavor she chooses to pursue—she
                      will be an invaluable asset to any organization lucky
                      enough to have her.
                    created: 1704340723334
                    lastModified: 1704526676236
                    relationship: RECOMMENDER_SENIOR_THAN_RECOMMENDEE
                    recommendee:
                      firstName: Peggy
                      lastName: Brannigan
                      occupation: >-
                        Sustainability Leader - Impact Advisor - Board Member -
                        Mentor
                      username: peggybrannigan
                  - text: "Ian is hands down one of the most amazing people to work with in consumer technology. From an extremely rare and sophisticated mastery of community and content products, to an obsessive ownership and devotion to a product, to an intense ability to prioritize towards execution – Ian has all the hard skills and attributes of a strong product leader. \r\n\r\nBut more importantly, Ian is just a great person to be around. He’s very flexible and reasonable in his approach – always searching for the “right way” vs. “his way”. He’s not afraid of taking aggressive, yet calculated risks to innovate. He takes the time to build strong, meaningful relationships with people he works with, which leads to an almost cult-like following of people wanting to be associated and work with him. \r\n\r\nIan is a great consumer technology success story, and I eagerly look forward to using any new products he comes up with in the future!"
                    created: 1388795090132
                    lastModified: 1389052256391
                    relationship: RECOMMENDER_MANAGED_RECOMMENDEE
                    recommendee:
                      firstName: Ian
                      lastName: McCarthy
                      occupation: Product coauthor and entrepreneur
                      username: ianmccarthy
                  - text: >-
                      Once in a while you encounter a 10X engineer.  Sanjay,
                      however, laughs at the 10X engineers because he is the
                      rare breed of 20X engineer.  He is amongst the top 1% in
                      every category important to a successful software
                      engineer: strategic, hard worker, executor, problem
                      solver, knows when to say yes, knows when to say no, great
                      attitude, and just always fun to be around.   Sanjay is a
                      legend and it's always a privilege to work with him.
                    created: 1337714521797
                    lastModified: 1337743982623
                    relationship: WORKED_IN_SAME_GROUP
                    recommendee:
                      firstName: Sanjay
                      lastName: Dubey
                      occupation: Vice President of Engineering at LinkedIn
                      username: sanjaysdubey
                  - text: >-
                      As an investor, board member, operator, or friend,  Andrew
                      can consistently be counted on as someone who provides
                      solid and well informed advice and guidance. His people
                      skills, comprehension of market trends, and ability to
                      connect people with opportunities make him a tremendous
                      asset for any business or individual looking to be
                      successful.
                    created: 1270110336332
                    lastModified: 1270226632407
                    relationship: RECOMMENDER_REPORTED_TO_RECOMMENDEE
                    recommendee:
                      firstName: Andrew
                      lastName: Braccia
                      occupation: Partner at Accel
                      username: andrewbraccia
                total: 4
      security:
        - ApiKeyAuth: []
components:
  schemas:
    Get_linkedin_get_given_recommendations_Response:
      type: object
      properties:
        success:
          type: boolean
        message:
          type: string
        data:
          type: array
          items:
            type: object
            properties:
              text:
                type: string
              created:
                type: integer
              lastModified:
                type: integer
              relationship:
                type: string
              recommendee:
                type: object
                properties:
                  firstName:
                    type: string
                  lastName:
                    type: string
                  occupation:
                    type: string
                  username:
                    type: string
        total:
          type: integer
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: Authorization
      description: >-
        Bearer token. Pass your agntdata API key as: Authorization: Bearer
        agnt_live_...

````